import request from '../../utils/request'

/**
 * 获取班次列表
 * @param {JSON参数} data 
 */
export function getScrollShiftList(data) {
  return request({
    url: '/Scroll/GetScrollShiftList',
    method: 'post',
    data
  })
}

/**
 * 新增修改班次
 * @param {JSON参数} data 
 */
export function setScrollShiftInfo(data) {
    return request({
      url: '/Scroll/SetScrollShiftInfo',
      method: 'post',
      data
    })
}
/**
 * 新增修改班次
 * @param {JSON参数} data 
 */
export function delScrollShiftInfo(data) {
    return request({
      url: '/Scroll/DelScrollShiftInfo',
      method: 'post',
      data
    })
}

/**
 * 获取排班计划
 * @param {JSON参数} data 
 */
 export function getScrollPlanMonthList(data) {
    return request({
      url: '/Scroll/GetScrollPlanMonthList',
      method: 'post',
      data
    })
}
/**
 * 新增排班计划
 * @param {JSON参数} data 
 */
 export function setScrollPlanInfo(data) {
    return request({
      url: '/Scroll/SetScrollPlanInfo',
      method: 'post',
      data
    })
}

/**
 * 获取上课时段列表
 * @param {JSON参数} data 
 */
 export function getScrollCourseTimeList(data) {
  return request({
    url: '/Scroll/GetScrollCourseTimeList',
    method: 'post',
    data
  })
}
/**
 * 新增修改上课时段
 * @param {JSON参数} data 
 */
 export function setScrollCourseTimeInfo(data) {
  return request({
    url: '/Scroll/SetScrollCourseTimeInfo',
    method: 'post',
    data
  })
}
/**
 * 删除上课时段
 * @param {JSON参数} data 
 */
 export function delScrollCourseTimeInfo(data) {
  return request({
    url: '/Scroll/DelScrollCourseTimeInfo',
    method: 'post',
    data
  })
}